Name:           console-setup
Version:        1.189
Release:        1%{?dist}
Summary:        Debian console setup

License:        Public Domain and MIT ang GPL-2.0
URL:            https://packages.debian.org/sid/console-setup
Source0:        http://deb.debian.org/debian/pool/main/c/%{name}/%{name}_%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  /usr/bin/perl

%description
This package contains the scripts, keyboard layouts and fonts used in Debian
operating system to configure the text console equivalently to X11.


%package -n bdf2psf
Summary:        Generate console fonts from BDF source fonts

%description -n bdf2psf
This package provides a command-line converter that can be used in scripts
to build console fonts from BDF sources automatically. The converter comes
with a collection of font encodings that cover many of the world's
languages. The output font can use a different character encoding from the
input. When the source font does not define a glyph for a particular
symbol in the encoding table, that glyph position in the console font is
not wasted but used for another symbol.


%prep
%setup -q


%build
make %{?_smp_mflags} build-%{_os} \
        prefix=%{_prefix} \
        bootprefix=%{_prefix} \
        etcdir=%{_sysconfdir}


%install
make %{?_smp_mflags} install-%{_os} \
        prefix=%{buildroot}%{_prefix} \
        bootprefix=%{buildroot}%{_prefix} \
        etcdir=%{buildroot}%{_sysconfdir}

mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 man/bdf2psf.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_bindir}
install -p Fonts/bdf2psf %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/bdf2psf
cp -a Fonts/fontsets Fonts/*.equivalents Fonts/*.set \
        %{buildroot}%{_datadir}/bdf2psf/


%files -n bdf2psf
%{_bindir}/bdf2psf
%{_mandir}/man1/bdf2psf.1*
%{_datadir}/bdf2psf
%license GPL-2


%files
%{_bindir}/setupcon
%{_bindir}/ckbcomp
%{_sysconfdir}/console-setup
%config(noreplace) %{_sysconfdir}/default/*
%{_datadir}/consolefonts
%{_datadir}/consoletrans
%{_mandir}/man1/ckbcomp.1*
%{_mandir}/man1/setupcon.1*
%{_mandir}/man5/console-setup.5*
%{_mandir}/man5/keyboard.5*
%doc CHANGES
%doc FAQ
%doc README
%doc README.legacyfonts
%license COPYRIGHT
%license copyright.fonts
%license copyright.xkb
%license GPL-2


%changelog
* Fri Feb 22 2019 Lubomir Rintel <lkundrak@v3.sk> - 1.189-1
- Initial packaging
